       INCLUDE 'GRAFTYPE.FOR'

      RECORD /WorldRect/ wr
      INTEGER color, i

      CALL tInit
      CALL Init3d(-1, 'C:\FOR\LIB\*.FON')
      CALL SetWorldRect(wr,-10.0,-10.0,10.0,10.0)
      CALL SetWorldCoordinates(wr)
      CALL SelectColor(1)
      DO i = 1, 20
        CALL WorldScale2(1.1,1.1)
        CALL Worldrotate2(10.0)
        CALL Selectcolor(1)
        CALL drawcross
        color = 0
        CALL Selectcolor(0)
        CALL drawcross
      END DO
      CALL Close3dGraphics

      END
      SUBROUTINE drawcross
      CALL Move2Abs(-1.0,-1.0)
      CALL Line2Rel(0.0,-1.0)
      CALL Line2Rel(2.0,0.0)
      CALL Line2Rel(0.0,1.0)
      CALL Line2Rel(1.0,0.0)
      CALL Line2Rel(0.0,2.0)
      CALL Line2Rel(-1.0,0.0)
      CALL Line2Rel(0.0,1.0)
      CALL Line2Rel(-2.0,0.0)
      CALL Line2Rel(0.0,-1.0)
      CALL Line2Rel(-1.0,0.0)
      CALL Line2Rel(0.0,-2.0)
      CALL Line2Rel(1.0,0.0)
      END
